Skip to content
Start here

Delete account Email Sending suppression

email_sending.suppressions.delete(strsuppression_id, SuppressionDeleteParams**kwargs) -> SuppressionDeleteResponse
DELETE/accounts/{account_id}/email/sending/suppressions/{suppression_id}

Deletes the suppression, its note, and every legacy internal zone membership, allowing future delivery attempts to the address.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: str
suppression_id: str
formatuuid
ReturnsExpand Collapse
class SuppressionDeleteResponse:
id: str
formatuuid

Delete account Email Sending suppression

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
suppression = client.email_sending.suppressions.delete(
    suppression_id="396a5436-d4b0-42a6-b3fc-48e8fa522321",
    account_id="54442216",
)
print(suppression.id)
{
  "errors": [
    {}
  ],
  "messages": [
    {}
  ],
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {}
  ],
  "messages": [
    {}
  ],
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
  },
  "success": true
}